### Class

# Phosh Toplevel

#### Description [src]

    final class Phosh.Toplevel : GObject.Object
    {
      /* No available fields */
    }

Represents a single toplevel surface.

#### Ancestors

- GObject

#### Constructors

###### phosh_toplevel_new_from_handle

No description available.

#### Instance methods

###### phosh_toplevel_activate

No description available.

###### phosh_toplevel_close

No description available.

###### phosh_toplevel_get_app_id

No description available.

###### phosh_toplevel_get_handle

No description available.

###### phosh_toplevel_get_parent_handle

No description available.

###### phosh_toplevel_get_title

No description available.

###### phosh_toplevel_is_activated

No description available.

###### phosh_toplevel_is_configured

No description available.

###### phosh_toplevel_is_fullscreen

No description available.

###### phosh_toplevel_is_maximized

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Toplevel:activated

No description available.

###### Phosh.Toplevel:app-id

No description available.

###### Phosh.Toplevel:configured

No description available.

###### Phosh.Toplevel:fullscreen

No description available.

###### Phosh.Toplevel:handle

No description available.

###### Phosh.Toplevel:maximized

No description available.

###### Phosh.Toplevel:title

No description available.

#### Signals

###### Phosh.Toplevel::closed

Emitted when a toplevel has been closed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshToplevelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.